#ifndef _button_h
#define _button_h

class _button
{
  bool click;
  bool sound;
  int type;
  int textw;
  float texta;
  string text;
 public:
  bool clickable;
	short x;
  short y;
  short w;
  short h;
  string get_text();
  Bitmap *picture;
  void draw();
  void check();
  bool mouseover();
  bool mousedown();
  bool clicked();
  void init(int ix, int iy, int iw, int ih, int itype = 0);
  void init(int ix, int iy, int iw, int ih, string itext, int itype = 0);
  void init(int ix, int iy, int iw, int ih, string itext, Bitmap *ipicture, int itype = 0);
};

#endif
